package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
abstract class ClassNameGlob {
  public ClassNameGlob() {
    super();
  }
  void universal_trv0_bef(UniversalVisitor _v_) {
    ((UniversalVisitor) _v_).before(this);
  }

  void universal_trv0_aft(UniversalVisitor _v_) {
    ((UniversalVisitor) _v_).after(this);
  }

  void universal_trv0(UniversalVisitor _v_) {  }

  void __trav_matchEdge_GlobSpec_trv_bef(__V_GlobSpec_matchEdge __v0) {  }

  void __trav_matchEdge_GlobSpec_trv_aft(__V_GlobSpec_matchEdge __v0) {  }

  void __trav_matchEdge_GlobSpec_trv(__V_GlobSpec_matchEdge __v0) {  }

  void __trav_match_GlobSpec_trv_bef(__V_GlobSpec_match __v0) {  }

  void __trav_match_GlobSpec_trv_aft(__V_GlobSpec_match __v0) {  }

  void __trav_match_GlobSpec_trv(java.util.BitSet nodes, __V_GlobSpec_match __v0) {  }

  void __trav_match_ClassGlobSpec_trv_bef(__V_ClassGlobSpec_match __v0) {  }

  void __trav_match_ClassGlobSpec_trv_aft(__V_ClassGlobSpec_match __v0) {  }

  void __trav_match_ClassGlobSpec_trv(java.util.BitSet nodes, __V_ClassGlobSpec_match __v0) {  }

  void __trav_map_ClassGlobSpec_trv_bef(__V_ClassGlobSpec_map __v0) {  }

  void __trav_map_ClassGlobSpec_trv_aft(__V_ClassGlobSpec_map __v0) {  }

  void __trav_map_ClassGlobSpec_trv(__V_ClassGlobSpec_map __v0) {  }

  void __trav_addStrings_ClassGlobSpec_trv_bef(__V_ClassGlobSpec_addStrings __v0) {  }

  void __trav_addStrings_ClassGlobSpec_trv_aft(__V_ClassGlobSpec_addStrings __v0) {  }

  void __trav_addStrings_ClassGlobSpec_trv(__V_ClassGlobSpec_addStrings __v0) {  }

}
